unit M24new;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls, ColorGrd;

type
  TFNew = class(TForm)
    Label1: TLabel;
    ComboBox1: TComboBox;
    Label2: TLabel;
    ComboBox2: TComboBox;
    GroupBox1: TGroupBox;
    Label3: TLabel;
    Edit1: TEdit;
    GroupBox2: TGroupBox;
    Label4: TLabel;
    Edit2: TEdit;
    ButtonOK: TButton;
    Button2: TButton;
    Label5: TLabel;
    Label6: TLabel;
    ColorGrid1: TColorGrid;
    ColorGrid2: TColorGrid;
    procedure Button2Click(Sender: TObject);
    procedure ButtonOKClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure ComboBox2Change(Sender: TObject);
    procedure ColorGrid1Change(Sender: TObject);
    procedure ColorGrid2Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FNew: TFNew;

implementation

uses M24sm;

{$R *.DFM}

procedure TFNew.Button2Click(Sender: TObject);
begin
  close;
end;

procedure TFNew.ButtonOKClick(Sender: TObject);
var
  i,j:integer;
begin
  with fmain do begin
    Hrac1.barva:=ColorGrid1.ForegroundColor;
    Hrac2.barva:=ColorGrid2.ForegroundColor;
    Lname1.font.color:=ColorGrid1.ForegroundColor;
    Label2.font.color:=ColorGrid1.ForegroundColor;
    Label4.font.color:=ColorGrid1.ForegroundColor;
    Lname2.font.color:=ColorGrid2.ForegroundColor;
    Label3.font.color:=ColorGrid2.ForegroundColor;
    Label5.font.color:=ColorGrid2.ForegroundColor;
    modhry:=combobox2.itemindex;
    Hrac1.Name:=Edit1.text;
    Hrac2.Name:=Edit2.text;
    Hrac1.Body:=0;
    Hrac2.Body:=0;
    Hrac:=fmain.hrac2;
    LName1.Caption:=Edit1.text;
    LName2.Caption:=Edit2.text;
    SGrid1.RowCount:=ComboBox1.ItemIndex+2;
    SGrid1.ColCount:=ComboBox1.ItemIndex+2;
    for i:=0 to 9 do
    for j:=0 to 9 do sgrid1.cells[i,j]:='0';
    sgrid1.Refresh;
    nextplayer;
  end;
  close;
end;

procedure TFNew.FormShow(Sender: TObject);
begin
  ComboBox1.ItemIndex:=8;
end;

procedure TFNew.ComboBox2Change(Sender: TObject);
begin
  case ComboBox2.ItemIndex of
    0:begin {Hrac hrac}
      Edit1.text:='';
      Edit2.text:='';
      Edit1.Enabled:=true;
      Edit2.Enabled:=true;
    end;
    1:begin {hrac pc}
      Edit1.text:='';
      Edit2.text:='Pota';
      Edit1.Enabled:=true;
      Edit2.Enabled:=false;
    end;
    2:begin {pc hrac}
      Edit1.text:='Pota';
      Edit2.text:='';
      Edit1.Enabled:=false;
      Edit2.Enabled:=true;
    end;
    3:begin {pc pc}
      Edit1.text:='Pota';
      Edit2.text:='Pota';
      Edit1.Enabled:=false;
      Edit2.Enabled:=false;
    end;
  end;
end;

procedure TFNew.ColorGrid1Change(Sender: TObject);
begin
  FMain.Hrac1.barva:=ColorGrid1.ForegroundColor;
  Edit1.Font.Color:=ColorGrid1.ForegroundColor;
end;

procedure TFNew.ColorGrid2Change(Sender: TObject);
begin
  FMain.Hrac2.barva:=ColorGrid2.ForegroundColor;
  Edit2.Font.Color:=ColorGrid2.ForegroundColor;
end;

end.
